Subject: Re: your mail

From: Zheng Gengbin <[email-masked]>
Date: Fri, 15 Nov 1996 10:03:36 +0800 (EAT)

On Wed, 13 Nov 1996, Xinying Li wrote:

> 
> When I run hpf2dep on alpha, I confront a problem causing core dump, 
> which is in this part: 
> 
> 
> newname3
>     :  part_ref {
>           PTR_LLND l;
> /*                               modified by zheng.gb 1996/11/5
>           $$=makeLlnd(fi,EXPR_LIST,$1,LLNULL,SMNULL);
> */
> /*
>           $$=makeLlnd(fi,RECORD_REF,$1,LLNULL,SMNULL); 
> */
>           $$=makeLlnd(fi,RECORD_REF,LLNULL,$1,SMNULL); /* xli, 11/13 */
>           set_expr_type($$);
>           }
>     |  newname3 PERCENT part_ref {
>           PTR_LLND l;
> /*              modified by zheng.gb 1996/10/29
>           l=makeLlnd(fi,EXPR_LIST,$3,LLNULL,SMNULL);
>           $$ = set_ll_list($1,l,EXPR_LIST);
> */
> /*                               modified by zheng.gb 1996/11/5
>           $$ = set_ll_list($1,$3,EXPR_LIST);
> */
> 
>           $$ = set_ll_list($1,$3,RECORD_REF);
>           set_expr_type($$);
>           }
>     ;
> 
> 
> I did some modification in it, but I think this is related to hpfsc. 
> Would you have a look of this part and see if there are any problems in 
> it?  
> 
> Thanks.
> 

	You cannot change like this , this make the record_ref LLND created
unable to be read by hpfsc .

Zheng